%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate rustls

Name:           rust-rustls0.21
Version:        0.21.12
Release:    1%{?dist}
Summary:        Modern TLS library written in Rust

License:        Apache-2.0 OR ISC OR MIT
URL:            https://crates.io/crates/rustls
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rustls is a modern TLS library written in Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-ISC
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dangerous_configuration-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dangerous_configuration-devel %{_description}

This package contains library source intended for building other packages which
use the "dangerous_configuration" feature of the "%{crate}" crate.

%files       -n %{name}+dangerous_configuration-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+quic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+quic-devel %{_description}

This package contains library source intended for building other packages which
use the "quic" feature of the "%{crate}" crate.

%files       -n %{name}+quic-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+read_buf-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+read_buf-devel %{_description}

This package contains library source intended for building other packages which
use the "read_buf" feature of the "%{crate}" crate.

%files       -n %{name}+read_buf-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustversion-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustversion-devel %{_description}

This package contains library source intended for building other packages which
use the "rustversion" feature of the "%{crate}" crate.

%files       -n %{name}+rustversion-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+secret_extraction-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+secret_extraction-devel %{_description}

This package contains library source intended for building other packages which
use the "secret_extraction" feature of the "%{crate}" crate.

%files       -n %{name}+secret_extraction-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls12-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls12-devel %{_description}

This package contains library source intended for building other packages which
use the "tls12" feature of the "%{crate}" crate.

%files       -n %{name}+tls12-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- --lib -- --exact --skip msgs::message_test::test_read_fuzz_corpus
%cargo_test -- --doc -- --exact --skip msgs::message_test::test_read_fuzz_corpus
%endif

%changelog
* Tue Jul 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.21.12-1
- initial build
